All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Class SearchUtility

    com.sas.services.information.search.SearchUtility

    public class SearchUtility

Nested Class Summary
`static class` | `SearchUtility.ValidCriteriaResults`

Constructor Summary
`SearchUtility()`

Method Summary
`static SearchCriteriaModel` | `createSearchCriteriaModel(Search searchObj)` Method to build this model using the information already stored in a Search object
`static SearchCriteriaModel` | `createSearchCriteriaModel(ServerInterface server, java.lang.String xmlCriteria)` Method to build this model using the information from a saved search folder.
`static java.lang.String` | `getModelXML(SearchCriteriaModel scm)` Method to build an xml string from this model class in the form used when saving off a search folder in metadata.
`static SearchUtility.ValidCriteriaResults` | `validateSearchCriteria(SearchCriteriaModel scm, ServerInterface server)`
`static SearchUtility.ValidCriteriaResults` | `validateSearchCriteria(Search searchObj, ServerInterface server)`

Constructor Detail

### SearchUtility

    public SearchUtility()

Method Detail

### createSearchCriteriaModel

    public static SearchCriteriaModel createSearchCriteriaModel(Search searchObj)
                                                         throws ServiceException,
                                                                java.rmi.RemoteException

  Method to build this model using the information already stored in a Search object

  Parameters:
    `searchObj` - - a com.sas.services.information.search object
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createSearchCriteriaModel

    public static SearchCriteriaModel createSearchCriteriaModel(ServerInterface server,
                                                                java.lang.String xmlCriteria)
                                                         throws ServiceException,
                                                                java.rmi.RemoteException

  Method to build this model using the information from a saved search folder. A saved search folder object in metadata has a details atribute and this xml string is stored in that attribute. Using that xml string, we can build the criteria model to validate the values on an import of this object.

  Parameters:
    `xmlCriteriaString` -
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getModelXML

    public static java.lang.String getModelXML(SearchCriteriaModel scm)
                                        throws ServiceException,
                                               java.rmi.RemoteException

  Method to build an xml string from this model class in the form used when saving off a search folder in metadata. This xml string would be saved off in a details attribute on a Search Folder object.

  Returns:
    The xml string created from this model
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### validateSearchCriteria

    public static SearchUtility.ValidCriteriaResults validateSearchCriteria(Search searchObj,
                                                                            ServerInterface server)
                                                                     throws ServiceException,
                                                                            java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### validateSearchCriteria

    public static SearchUtility.ValidCriteriaResults validateSearchCriteria(SearchCriteriaModel scm,
                                                                            ServerInterface server)
                                                                     throws ServiceException,
                                                                            java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.